#define C_VR_MAGIC_NUMBER_OLD           192837465
#define C_VR_MAGIC_NUMBER               192837466

#define C_MANUFACTURER_STRING_LENGTH    20
#define C_ORIG_FILENAME_STRING_LENGTH   128

#define C_UNSIGNED_BYTE                 1001
#define C_UNSIGNED_SHORT                1002

#define C_INTENSITY8                    2001
#define C_INTENSITY16                   2002
#define C_INDEX4_INTENSITY12            2003
#define C_INDEX8_INTENSITY8             2004

#define MAX_ED    1.0 
#define MIN_ED    0.0

/*+---------------------------+
  |   Structure Definitions   |
  +---------------------------+*/
typedef struct{
    float   red;
    float   green;
    float   blue;

}   C_RGBtuple;

typedef struct{
    float   x;
    float   y;
    float   z;

}   C_FloatTuple;

typedef struct {
    int x;
    int y;
    int z;
}  C_IntTuple;

typedef struct{
    float             ambient_coeff;
    float             specular_coeff;
    float             specular_power;
    float             reflective_coeff;
    C_RGBtuple  ambient_color;
    C_RGBtuple  object_color;

}   C_ShadingParams;

typedef struct{
    C_IntTuple min;
    C_IntTuple max;

}   Volume_dimensions;


/*+-------------+
  |   Globals   |
  +-------------+*/

/*----- Info from data file header... -----*/
int   _MagicNumber;
int   _HeaderLength;

C_IntTuple  _VolumeDimensions;   /* size of volume   */
int         _PixelDepth;
int         _PixelFormat;        /* format */
int         _PixelType;          /* type */
int         _IndexBits;          /* number of "object" index bits */
                                 /* in each pixel                 */

float     _ScaleX;             /* base scale factors */
float     _ScaleY;
float     _ScaleZ;

float     _RotX;               /* base rotation */
float     _RotY;
float     _RotZ;

char        _Manufacturer[C_MANUFACTURER_STRING_LENGTH];
char        _OriginalFileName[C_ORIG_FILENAME_STRING_LENGTH];

unsigned char *_rawdata;
unsigned short *_rawsdata;


/*+-------------------------+
  |   Function Prototypes   |
  +-------------------------+*/

int readVolume(char *filename);


