/* rendering context */
vpContext *vpc;
	      
/* output image */
unsigned char *image;

/* number of density and gradient points for classification functions */
int numDensity;         
int numGradient;        

/* array of density points for density classification
   the x values are the density ranges to be classified */
int DensityRampX[18];

/* the opacities for the densities specified in DensityRampX */
float DensityRampY[18];

/* array of gradient points for gradient classification
   the x values are the gradient ranges to be classified */
int GradientRampX[7];

/* the opacities for the gradients specified in GradientRampX */
float GradientRampY[7]; 

/* 2-d array of the density ranges of up to 6 materials */
int weightTable[6][2];

/* the number of materials in the rendering, max of 6 */
int numMaterials;

/* number of lights, max of 6 */
int numLights;

/* the ambient, diffuse, Specular, and Shinyness RGB values for the 6 materials */
C_RGBtuple matAmb[6], matDiff[6], matSpec[6], matShin[6];

/* the RGB values for the 6 light sources */
C_RGBtuple lightColor[6];

/* the direction vectors for the 6 light sources */
C_FloatTuple lightDir[6];

/* coordinates boundaries of the viewing volume */
float viewVolume[3][2];

/* the amount the image should be scaled to compensate for changes in the viewing volume */
float imageScaleX, imageScaleY;

/* */
float *shade_table;
float *weight_table;

/* histogram data, the number of times each possible value occurs in the dataset */
int data[256];
